Name:          velocity-tools
Version:       2.0
Release:       20%{?dist}
Summary:       Collection of useful tools for Velocity template engine
License:       ASL 2.0
Url:           http://velocity.apache.org/tools/releases/2.0/
Source0:       http://www.apache.org/dist/velocity/tools/%{version}/%{name}-%{version}-src.tar.gz
Patch0:        %{name}-%{version}-junit4.patch
Patch1:        %{name}-%{version}-dont_copy_test_lib.patch
# servlet 3.0 support thanks to mizdebsk
# servlet 3.1 support
Patch2:        %{name}-%{version}-servlet.patch
Patch3:        %{name}-%{version}-port-to-dom4j-2.0.patch

BuildRequires: maven-local
BuildRequires: mvn(commons-beanutils:commons-beanutils)
BuildRequires: mvn(commons-chain:commons-chain)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-digester:commons-digester)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(commons-validator:commons-validator)
BuildRequires: mvn(dom4j:dom4j)
BuildRequires: mvn(org.apache.maven.plugins:maven-resources-plugin)
# required by resources-plugin
BuildRequires: mvn(org.apache.maven.shared:maven-filtering)
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires: mvn(org.apache.struts:struts-core)
BuildRequires: mvn(org.apache.struts:struts-taglib)
BuildRequires: mvn(org.apache.struts:struts-tiles)
BuildRequires: mvn(org.apache.tomcat:tomcat-jsp-api)
BuildRequires: mvn(org.apache.tomcat:tomcat-servlet-api)
BuildRequires: mvn(org.apache.velocity:velocity)
BuildRequires: mvn(oro:oro)
BuildRequires: mvn(sslext:sslext)
# required by tomcat-jsp-api
BuildRequires: mvn(org.apache.tomcat:tomcat-el-api)

# test deps
%if 0
BuildRequires: mvn(httpunit:httpunit) = 1.6.1
BuildRequires: mvn(nekohtml:nekohtml) = 0.9.5
BuildRequires: mvn(org.mortbay.jetty:jetty-embedded) = 6.0.1
BuildRequires: mvn(rhino:js) = 1.6R5
BuildRequires: mvn(xerces:xercesImpl) = 2.8.1
BuildRequires: mvn(xerces:xmlParserAPIs) = 2.6.2
%endif
BuildRequires: mvn(junit:junit)
BuildRequires: xmvn

BuildArch:     noarch

%description
The VelocityTools project is a collection of useful Java classes (aka tools),
as well as infrastructure to easily, automatically and transparently
make these tools available to Velocity templates.

Project include easy integration of Velocity into the view-layer of
web applications (via the VelocityViewTag and
VelocityViewServlet) and integration with Struts 1.x applications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
find . -name "*.jar" -delete
find . -name "*.class" -delete
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i 's/\r//' LICENSE NOTICE WHY_THREE_JARS.txt

# force tomcat 7.x apis
%pom_remove_dep javax.servlet:servlet-api
%pom_add_dep org.apache.tomcat:tomcat-servlet-api::provided
%pom_add_dep org.apache.tomcat:tomcat-jsp-api::provided
# remove non standard build structure
%pom_xpath_remove "pom:project/pom:build/pom:outputDirectory"
%pom_xpath_remove "pom:project/pom:build/pom:directory"

%pom_remove_dep org.mortbay.jetty:jetty-embedded

%mvn_file :%{name} %{name}
%mvn_alias :%{name} %{name}:%{name}
%mvn_alias :%{name} org.apache.velocity:%{name}-generic
%mvn_alias :%{name} %{name}:%{name}-generic
%mvn_alias :%{name} %{name}:%{name}-view
%mvn_alias :%{name} org.apache.velocity:%{name}-view

%build

# tests skipped. cause: missing dependencies
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTORS README.txt STATUS WHY_THREE_JARS.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 31 2017 Michael Simacek <msimacek@redhat.com> - 2.0-16
- Port to dom4j 2.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 09 2016 gil cattaneo <puntogil@libero.it> 2.0-14
- add missing build requires: xmvn
- prevent duplicate pom BR entries

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 gil cattaneo <puntogil@libero.it> 2.0-12
- add servlet 3.1 support

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 13 2015 gil cattaneo <puntogil@libero.it> 2.0-10
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.0-8
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 04 2013 gil cattaneo <puntogil@libero.it> 2.0-6
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Feb 19 2013 gil cattaneo <puntogil@libero.it> 2.0-5
- added maven-filtering as BR

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 27 2012 gil cattaneo <puntogil@libero.it> 2.0-1
- initial rpm
